API reference
Coupons
Discount codes
Get Many
Path Parameters
organizationSlug*string
Length
1 <= lengthQuery Parameters
deletedOnly?boolean
Default
falselimit?number
Default
10Range
1 <= value <= 100orderBy?array<>
Default
["created_desc"]page?number
Default
1Range
1 <= valuesearch?|
status?string
Value in
"ACTIVE" | "INACTIVE" | "SCHEDULED" | "EXPIRED"Response Body
application/json
curl -X GET "https://www.prolifto.store/api/string/coupons"{}Create
Path Parameters
organizationSlug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/string/coupons" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "discountType": "PERCENTAGE", "discountValue": 0, "expiresAt": "2019-08-24T14:15:22Z" }'{}Delete Many
Path Parameters
organizationSlug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X DELETE "https://www.prolifto.store/api/string/coupons" \ -H "Content-Type: application/json" \ -d '{ "couponIds": [ "string" ] }'{}Get One
Path Parameters
organizationSlug*string
Length
1 <= lengthcouponId*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/coupons/string"{}Update
Path Parameters
organizationSlug*string
Length
1 <= lengthcouponId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://www.prolifto.store/api/string/coupons/string" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "discountType": "PERCENTAGE", "discountValue": 0, "expiresAt": "2019-08-24T14:15:22Z" }'{}Delete
Path Parameters
organizationSlug*string
Length
1 <= lengthcouponId*string
Length
1 <= lengthResponse Body
application/json
curl -X DELETE "https://www.prolifto.store/api/string/coupons/string"{}Get Usages
Path Parameters
organizationSlug*string
Length
1 <= lengthcouponId*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/coupons/string/usages"{}Set Active Many
Path Parameters
organizationSlug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/string/coupons/set-active" \ -H "Content-Type: application/json" \ -d '{ "couponIds": [ "string" ], "isActive": true }'{}Validate
Path Parameters
organizationSlug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/string/coupons/validate" \ -H "Content-Type: application/json" \ -d '{ "couponCode": "string", "variants": [ { "variantId": "string" } ] }'{}